Impossible d'installer des applications sur une nouvelle install : archives introuvables

,

Bonjour,

Sur une nouvelle installation toute fraîche de Yunohost sans aucune application d’installée, je me retrouve avec l’impossibilité d’installer Discourse.
Voici les logs : https://paste.yunohost.org/raw/igezizalax

Les deux éléments problématiques que j’ai repérés se trouvent dans ce passage :

2022-06-08 07:49:46,001: DEBUG - dpkg: error: cannot access archive './discourse-ynh-deps_2.7.13~ynh1_all.deb': No such file or directory
2022-06-08 07:49:46,002: DEBUG - + ynh_package_install --fix-broken
2022-06-08 07:49:46,002: DEBUG - + ynh_apt --no-remove --option Dpkg::Options::=--force-confdef --option Dpkg::Options::=--force-confold install --fix-broken
2022-06-08 07:49:46,002: DEBUG - + ynh_wait_dpkg_free
2022-06-08 07:49:46,063: DEBUG - + return 0
2022-06-08 07:49:46,064: DEBUG - + LC_ALL=C
2022-06-08 07:49:46,064: DEBUG - + DEBIAN_FRONTEND=noninteractive
2022-06-08 07:49:46,064: DEBUG - + apt-get --assume-yes --quiet -o=Acquire::Retries=3 -o=Dpkg::Use-Pty=0 --no-remove --option Dpkg::Options::=--force-confdef --option Dpkg::Options::=--force-confold install --fix-broken
2022-06-08 07:49:46,100: DEBUG - Reading package lists...
2022-06-08 07:49:46,251: DEBUG - Building dependency tree...
2022-06-08 07:49:46,252: DEBUG - Reading state information...
2022-06-08 07:49:46,369: DEBUG - 0 upgraded, 0 newly installed, 0 to remove and 1 not upgraded.
2022-06-08 07:49:46,371: DEBUG - + [[ -n /tmp/tmp.4IWFYVDEJF ]]
2022-06-08 07:49:46,371: DEBUG - + rm --recursive --force /tmp/tmp.4IWFYVDEJF
2022-06-08 07:49:46,372: DEBUG - + ynh_package_is_installed discourse-ynh-deps
2022-06-08 07:49:46,381: DEBUG - + ynh_wait_dpkg_free
2022-06-08 07:49:46,442: DEBUG - + return 0
2022-06-08 07:49:46,442: DEBUG - + grep --count 'ok installed'
2022-06-08 07:49:46,442: DEBUG - + dpkg-query --show '--showformat=${Status}' discourse-ynh-deps
2022-06-08 07:49:46,454: DEBUG - + ynh_die '--message=Unable to install dependencies'
2022-06-08 07:49:46,470: DEBUG - + ynh_exit_properly
2022-06-08 07:49:46,973: DEBUG - + ynh_clean_setup
2022-06-08 07:49:46,973: DEBUG - + ynh_clean_check_starting
2022-06-08 07:49:46,974: DEBUG - + '[' -n '' ']'
2022-06-08 07:49:46,974: DEBUG - + '[' -n '' ']'
2022-06-08 07:49:47,975: ERROR - Impossible d'installer discourse : Une erreur est survenue dans le script d'installation de l'application

L’impossibilité d’accéder à une archive et un problème de dépendances.

Si vous avez des idées. J’avoue que je ne sais pas trop comment fonctionnent les scripts d’installation. Se pourrait-il que le souci ne vienne pas de mon serveur mais du repo Yunohost Discourse ?

Si jamais ça peut aider :

  • serveur sur un VPS distant acheté en ligne et contacté via SSH
  • version de Yunohost : 4.3.6.3
  • aucune modification manuelle sur le serveur hormis un changement de port SSH par défaut

Bon, en fait je rencontre les mêmes erreurs pour n’importe quelle tentative d’installation d’application. Je vais renommer le titre du sujet.

Bizarre.

Qu’est ce que ça donne si tu essaies d’installer un paquet à la main avec apt ?

apt install ncdu

J’ai pas mal d’autres soucis qui sont apparus sur mes installs Yunohost. Je suis fatigué de débeuguer sans arrêt. Je vais clore ce fil sans aller au bout cette fois-ci. Merci tout de même pour la réponse.

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.